# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name leksah-server

%global common_summary Leksah is an IDE for Haskell

%global common_description This package provides the interface to GHC-API for leksah.

Name:           %{pkg_name}
Version:        0.12.1.2
Release:        5%{?dist}
Summary:        %{common_summary}

Group:          Development/Tools
# License in the LICENSE file is mentioned as GPLV2 while sources specify
# license as GPL.Hence GPL+.
License:        GPL+
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-binary-shared-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-ltk-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-haddock-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-attoparsec-enumerator-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-enumerator-devel
BuildRequires:  ghc-strict-devel
Requires:       wget, cabal-install

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_package

%ghc_description


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/leksahecho
%attr(644,root,root) %{_datadir}/%{pkg_name}-%{version}/data/prefscoll.lkshp


%ghc_files LICENSE


%changelog
* Tue Oct 02 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.1.2-5
- Rebuild for ghc-7.4.1

* Sat Aug 11 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.1.2-4
- Rebuild for libffi

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.12.1.2-2
- change prof BRs to devel

* Fri Jun 22 2012 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.12.1.2-1
- update to 0.12.1.2

* Sun Jun 10 2012 Jens Petersen <petersen@redhat.com> - 0.12.1.1-1
- update to 0.12.1.1
- depends on strict

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.12.0.5-2
- depend on process instead of process-leksah
- add license to ghc_files

* Sun Mar 18 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.5-1
- Package update to 0.12.0.5

* Mon Mar 12 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.4-1
- Package update to 0.12.0.4

* Sun Jan 22 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-11
- Update to cabal2spec-0.25.2. Remove dependency on ghc

* Sun Jan 08 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-10
- Rebuild for haskell-platform update

* Sun Dec 18 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-9
- Remove dependency on ghc-leksah-server. Bug 755394.

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.0.4-8.2
- rebuild with new gmp without compat lib

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 0.10.0.4-8.1
- rebuild with new gmp

* Sun Sep 25 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-8
- Update to cabal2spec 0.24.1
- Rebuild for gtk2hs related updates

* Sun Aug 28 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-7
- Rebuild for ghc-hslogger-1.1.5. Upgrade to cabal2spec-0.24.

* Sat Aug 13 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-6
- Fix requires list. Removed haddock. ghc7 ships with new haddock.

* Sun Jun 26 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-5
- Fix requires list to include ghc-leksah-server

* Wed Jun 22 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-4
- Rebuild for ghc-process-leksah update. 

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-3
- Upgrade to cabal2spec-0.23.2

* Sun Jun 5 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-2
- Modified dependencies to match with the cabal file
- Added some packages in requires list

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-1
- Upgrade to 0.10.0.4, update to cabal2spec-0.22.7.
- License in the LICENSE file is mentioned as GPLV2 while sources specify
- license as GPL.Hence GPL+.

* Sun Apr 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0-1
- upgrade to 0.10.0, update to cabal2spec-0.22.5.

* Sat Dec 18 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 0.8.0.8-1
- Modified license and depenedencies.
- Created patch to fix hslogger and ghc dependency.The maximum allowed versions for the respective packages are removed with this patch.

* Sat Dec 18 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3
